@subheading gsasl_server_callback_realm_set
@anchor{gsasl_server_callback_realm_set}
@deftypefun {void} {gsasl_server_callback_realm_set} (Gsasl * @var{ctx}, Gsasl_server_callback_realm @var{cb})
@var{ctx}: libgsasl handle.

@var{cb}: callback function

Specify the callback function to use in the server to know which
realm it serves.  The realm is used by the user to determine which
username and password to use.  The function can be later retrieved
using @code{gsasl_server_callback_realm_get()}.

@strong{Deprecated:} This function is part of the old callback interface.
The new interface uses @code{gsasl_callback_set()} to set the application
callback, and uses @code{gsasl_callback()} or @code{gsasl_property_get()} to
invoke the callback for certain properties.
@end deftypefun

